apiVersion: couchbase.com/v2
kind: CouchbaseBackup
metadata:
  name: my-backup
  labels:
    cluster: cb-test
spec:
  strategy: full_incremental
  full:
    schedule: "*/15 * * * *"
  incremental:
    schedule: "*/45 * * * *"
  successfulJobsHistoryLimit: 10
  failedJobsHistoryLimit: 3
  backoffLimit: 2
  backupRetention: 24h
  logRetention: 24h
  size: 5Gi
  storageClassName: standard
